
/****************************************************************************
 *
 * All portions copyright their respective authors.  All rights reserved.
 *
 * This file is part of IVMan (ivm).
 *
 * This file may be distributed under the terms of the Q Public License
 * as defined by Troll Tech AS of Norway and appearing in the file
 * LICENSE.QPL included in the packaging of this file.
 * 
 * See http://www.troll.no/qpl for QPL licensing information.
 *
 * $Id: IvmConfigActions.h,v 1.13 2005/05/12 01:42:34 ro_han Exp $
 *****************************************************************************/

#ifndef _IVMCONFIGACTIONS_H
#define _IVMCONFIGACTIONS_H

#include "common.h"
#include <glib.h>

typedef struct IvmConfigActions
{
    gboolean mount;

    char **exec;
    char **execun;
    char **execdvd;

    gboolean need_mountpoint;
} IvmConfigActions;

IvmConfigActions *parseIvmConfigActions(char const *const path,
                                        char const *udi);

#endif
