
/****************************************************************************
 *
 * All portions copyright their respective authors.  All rights reserved.
 *
 * This file is part of IVMan (ivm).
 *
 * This file may be distributed under the terms of the Q Public License
 * as defined by Troll Tech AS of Norway and appearing in the file
 * LICENSE.QPL included in the packaging of this file.
 * 
 * See http://www.troll.no/qpl for QPL licensing information.
 *
 * $Id: IvmConfigConditions.h,v 1.1 2005/05/12 01:42:34 ro_han Exp $
 *****************************************************************************/

#ifndef _IVMCONFIGCONDITIONS_H
#define _IVMCONFIGCONDITIONS_H

#include "common.h"
#include <glib.h>

typedef struct IvmConfigConditions
{
    char **exec;
} IvmConfigConditions;

IvmConfigConditions *parseIvmConfigConditions(char const *const path,
                                              char const *udi,
                                              char const *const
                                              conditionName);

#endif
